accounts_aid_search_vmss_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": [
"+861071111222"
],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": false,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": [
"5411"
],
"businessRegistrationNumber": "452349600005"
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss"
payload = { "merchant": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": ["+861071111222"],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": ["https://u.nu"],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": False,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": ["5411"],
"businessRegistrationNumber": "452349600005"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: {
address: {
city: 'St Albans',
countryOrRegion: 'NO',
streetAddress: '80 Wood Street',
stateOrProvince: 'CA',
zipOrPostalCode: 'SA82GF'
},
DBAName: 'Snap Photoshop Ltd',
principals: [
{
name: 'Bill Smith',
SSN: '<string>',
principalID: '07043453',
passportNumber: '07043453',
businessPhoneNumber: '+861071111222',
driverLicenseNumber: '07043453',
businessEmailAddress: 'billsmith@snapphoto.com',
residentIDOrNationalID: '07043453'
}
],
businessPhoneNumbers: ['+861071111222'],
taxID: 'GB123456789',
category: '1',
legalName: 'Snap Photoshop Ltd',
webAddresses: ['https://u.nu'],
financialAccts: [
{
intBankAccountNumber: 'NO8330001234567',
financialAccountNumber: '8090765400',
financialInstitutionID: '101010'
}
],
tradeOverInternet: false,
businessEmailAddress: 'billsmith@snapphoto.com',
merchantCategoryCodes: ['5411'],
businessRegistrationNumber: '452349600005'
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss"
payload := strings.NewReader("{\n \"merchant\": {\n \"address\": {\n \"city\": \"St Albans\",\n \"countryOrRegion\": \"NO\",\n \"streetAddress\": \"80 Wood Street\",\n \"stateOrProvince\": \"CA\",\n \"zipOrPostalCode\": \"SA82GF\"\n },\n \"DBAName\": \"Snap Photoshop Ltd\",\n \"principals\": [\n {\n \"name\": \"Bill Smith\",\n \"SSN\": \"<string>\",\n \"principalID\": \"07043453\",\n \"passportNumber\": \"07043453\",\n \"businessPhoneNumber\": \"+861071111222\",\n \"driverLicenseNumber\": \"07043453\",\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"residentIDOrNationalID\": \"07043453\"\n }\n ],\n \"businessPhoneNumbers\": [\n \"+861071111222\"\n ],\n \"taxID\": \"GB123456789\",\n \"category\": \"1\",\n \"legalName\": \"Snap Photoshop Ltd\",\n \"webAddresses\": [\n \"https://u.nu\"\n ],\n \"financialAccts\": [\n {\n \"intBankAccountNumber\": \"NO8330001234567\",\n \"financialAccountNumber\": \"8090765400\",\n \"financialInstitutionID\": \"101010\"\n }\n ],\n \"tradeOverInternet\": false,\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"merchantCategoryCodes\": [\n \"5411\"\n ],\n \"businessRegistrationNumber\": \"452349600005\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant\": {\n \"address\": {\n \"city\": \"St Albans\",\n \"countryOrRegion\": \"NO\",\n \"streetAddress\": \"80 Wood Street\",\n \"stateOrProvince\": \"CA\",\n \"zipOrPostalCode\": \"SA82GF\"\n },\n \"DBAName\": \"Snap Photoshop Ltd\",\n \"principals\": [\n {\n \"name\": \"Bill Smith\",\n \"SSN\": \"<string>\",\n \"principalID\": \"07043453\",\n \"passportNumber\": \"07043453\",\n \"businessPhoneNumber\": \"+861071111222\",\n \"driverLicenseNumber\": \"07043453\",\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"residentIDOrNationalID\": \"07043453\"\n }\n ],\n \"businessPhoneNumbers\": [\n \"+861071111222\"\n ],\n \"taxID\": \"GB123456789\",\n \"category\": \"1\",\n \"legalName\": \"Snap Photoshop Ltd\",\n \"webAddresses\": [\n \"https://u.nu\"\n ],\n \"financialAccts\": [\n {\n \"intBankAccountNumber\": \"NO8330001234567\",\n \"financialAccountNumber\": \"8090765400\",\n \"financialInstitutionID\": \"101010\"\n }\n ],\n \"tradeOverInternet\": false,\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"merchantCategoryCodes\": [\n \"5411\"\n ],\n \"businessRegistrationNumber\": \"452349600005\"\n }\n}")
.asString();{
"searchTerminatedResponse": {
"possibleMatches": {
"matchedRecords": [
{
"acquirerBID": "10048640",
"acquirerName": "Bank of ABC",
"terminatedRefID": "61e8aa42-d252-4e74-9dcc-85134f37a181",
"terminatedRecord": {
"DBAName": "Snap Photoshop Ltd",
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"category": "1",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"cardAcceptorIDs": [
"12345678910111"
],
"contractEndDate": "2019-11-14",
"contractStartDate": "2019-11-01",
"tradeOverInternet": false,
"businessPhoneNumbers": [
"+861071111222"
],
"incorportationStatus": "3",
"primaryListingReason": "29-Bankruptcy/Liquidation/Insolvency",
"tradeInternationally": true,
"merchantCategoryCodes": [
"5411"
],
"taxID": "GB123456789",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"businessEmailAddress": "billsmith@snapphoto.com",
"paymentFacilitatorBID": "10000108",
"secondaryListingReason": "34-Merchant Identity Theft",
"acquirerAssignedMerchantID": "36654773",
"businessRegistrationNumber": "452349600005",
"paymentFacilitatorCountryOrRegion": "NO"
},
"terminatedRecordMatch": {
"taxID": "N",
"DBAName": "N",
"legalName": "N",
"addressMatch": {
"city": "N",
"streetAddress": "N",
"countryOrRegion": "N",
"stateOrProvince": "N",
"zipOrPostalCode": "N"
},
"webAddresses": "N",
"principalsMatch": [
{
"SSN": "N",
"name": "N",
"principalID": "N",
"passportNumber": "N",
"businessPhoneNumber": "N",
"driverLicenseNumber": "N",
"businessEmailAddress": "N",
"residentIDOrNationalID": "N"
}
],
"tradeOverInternet": "N",
"financialAcctsMatch": [
{
"intBankAccountNumber": "N",
"financialAccountNumber": "N",
"financialInstitutionID": "N"
}
],
"businessEmailAddress": "N",
"businessPhoneNumbers": "N",
"merchantCategoryCodes": "N",
"businessRegistrationNumber": "N"
},
"acquirerCountryOrRegion": "NO"
}
],
"totalCount": 123
},
"searchRequestRef": {
"acquirerBID": "10048640",
"globalSearch": false,
"searchRequestRefID": "SRCH123412",
"acquirerCountryOrRegion": "NO",
"terminatedRecordSearchCriteria": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": [
"+861071111222"
],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": false,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": [
"5411"
],
"businessRegistrationNumber": "452349600005"
}
}
},
"status": {
"statusDescription": "Success",
"statusCode": "API000"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account-fraud-search
VMSS register search
Search the Visa Merchant Screening Service register for any potential matches related to fraud for the account
scopes:
- read:accounts:/vmss
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
compliance-search
/
vmss
accounts_aid_search_vmss_post
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": [
"+861071111222"
],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": false,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": [
"5411"
],
"businessRegistrationNumber": "452349600005"
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss"
payload = { "merchant": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": ["+861071111222"],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": ["https://u.nu"],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": False,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": ["5411"],
"businessRegistrationNumber": "452349600005"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: {
address: {
city: 'St Albans',
countryOrRegion: 'NO',
streetAddress: '80 Wood Street',
stateOrProvince: 'CA',
zipOrPostalCode: 'SA82GF'
},
DBAName: 'Snap Photoshop Ltd',
principals: [
{
name: 'Bill Smith',
SSN: '<string>',
principalID: '07043453',
passportNumber: '07043453',
businessPhoneNumber: '+861071111222',
driverLicenseNumber: '07043453',
businessEmailAddress: 'billsmith@snapphoto.com',
residentIDOrNationalID: '07043453'
}
],
businessPhoneNumbers: ['+861071111222'],
taxID: 'GB123456789',
category: '1',
legalName: 'Snap Photoshop Ltd',
webAddresses: ['https://u.nu'],
financialAccts: [
{
intBankAccountNumber: 'NO8330001234567',
financialAccountNumber: '8090765400',
financialInstitutionID: '101010'
}
],
tradeOverInternet: false,
businessEmailAddress: 'billsmith@snapphoto.com',
merchantCategoryCodes: ['5411'],
businessRegistrationNumber: '452349600005'
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss"
payload := strings.NewReader("{\n \"merchant\": {\n \"address\": {\n \"city\": \"St Albans\",\n \"countryOrRegion\": \"NO\",\n \"streetAddress\": \"80 Wood Street\",\n \"stateOrProvince\": \"CA\",\n \"zipOrPostalCode\": \"SA82GF\"\n },\n \"DBAName\": \"Snap Photoshop Ltd\",\n \"principals\": [\n {\n \"name\": \"Bill Smith\",\n \"SSN\": \"<string>\",\n \"principalID\": \"07043453\",\n \"passportNumber\": \"07043453\",\n \"businessPhoneNumber\": \"+861071111222\",\n \"driverLicenseNumber\": \"07043453\",\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"residentIDOrNationalID\": \"07043453\"\n }\n ],\n \"businessPhoneNumbers\": [\n \"+861071111222\"\n ],\n \"taxID\": \"GB123456789\",\n \"category\": \"1\",\n \"legalName\": \"Snap Photoshop Ltd\",\n \"webAddresses\": [\n \"https://u.nu\"\n ],\n \"financialAccts\": [\n {\n \"intBankAccountNumber\": \"NO8330001234567\",\n \"financialAccountNumber\": \"8090765400\",\n \"financialInstitutionID\": \"101010\"\n }\n ],\n \"tradeOverInternet\": false,\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"merchantCategoryCodes\": [\n \"5411\"\n ],\n \"businessRegistrationNumber\": \"452349600005\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant\": {\n \"address\": {\n \"city\": \"St Albans\",\n \"countryOrRegion\": \"NO\",\n \"streetAddress\": \"80 Wood Street\",\n \"stateOrProvince\": \"CA\",\n \"zipOrPostalCode\": \"SA82GF\"\n },\n \"DBAName\": \"Snap Photoshop Ltd\",\n \"principals\": [\n {\n \"name\": \"Bill Smith\",\n \"SSN\": \"<string>\",\n \"principalID\": \"07043453\",\n \"passportNumber\": \"07043453\",\n \"businessPhoneNumber\": \"+861071111222\",\n \"driverLicenseNumber\": \"07043453\",\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"residentIDOrNationalID\": \"07043453\"\n }\n ],\n \"businessPhoneNumbers\": [\n \"+861071111222\"\n ],\n \"taxID\": \"GB123456789\",\n \"category\": \"1\",\n \"legalName\": \"Snap Photoshop Ltd\",\n \"webAddresses\": [\n \"https://u.nu\"\n ],\n \"financialAccts\": [\n {\n \"intBankAccountNumber\": \"NO8330001234567\",\n \"financialAccountNumber\": \"8090765400\",\n \"financialInstitutionID\": \"101010\"\n }\n ],\n \"tradeOverInternet\": false,\n \"businessEmailAddress\": \"billsmith@snapphoto.com\",\n \"merchantCategoryCodes\": [\n \"5411\"\n ],\n \"businessRegistrationNumber\": \"452349600005\"\n }\n}")
.asString();{
"searchTerminatedResponse": {
"possibleMatches": {
"matchedRecords": [
{
"acquirerBID": "10048640",
"acquirerName": "Bank of ABC",
"terminatedRefID": "61e8aa42-d252-4e74-9dcc-85134f37a181",
"terminatedRecord": {
"DBAName": "Snap Photoshop Ltd",
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"category": "1",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"cardAcceptorIDs": [
"12345678910111"
],
"contractEndDate": "2019-11-14",
"contractStartDate": "2019-11-01",
"tradeOverInternet": false,
"businessPhoneNumbers": [
"+861071111222"
],
"incorportationStatus": "3",
"primaryListingReason": "29-Bankruptcy/Liquidation/Insolvency",
"tradeInternationally": true,
"merchantCategoryCodes": [
"5411"
],
"taxID": "GB123456789",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"businessEmailAddress": "billsmith@snapphoto.com",
"paymentFacilitatorBID": "10000108",
"secondaryListingReason": "34-Merchant Identity Theft",
"acquirerAssignedMerchantID": "36654773",
"businessRegistrationNumber": "452349600005",
"paymentFacilitatorCountryOrRegion": "NO"
},
"terminatedRecordMatch": {
"taxID": "N",
"DBAName": "N",
"legalName": "N",
"addressMatch": {
"city": "N",
"streetAddress": "N",
"countryOrRegion": "N",
"stateOrProvince": "N",
"zipOrPostalCode": "N"
},
"webAddresses": "N",
"principalsMatch": [
{
"SSN": "N",
"name": "N",
"principalID": "N",
"passportNumber": "N",
"businessPhoneNumber": "N",
"driverLicenseNumber": "N",
"businessEmailAddress": "N",
"residentIDOrNationalID": "N"
}
],
"tradeOverInternet": "N",
"financialAcctsMatch": [
{
"intBankAccountNumber": "N",
"financialAccountNumber": "N",
"financialInstitutionID": "N"
}
],
"businessEmailAddress": "N",
"businessPhoneNumbers": "N",
"merchantCategoryCodes": "N",
"businessRegistrationNumber": "N"
},
"acquirerCountryOrRegion": "NO"
}
],
"totalCount": 123
},
"searchRequestRef": {
"acquirerBID": "10048640",
"globalSearch": false,
"searchRequestRefID": "SRCH123412",
"acquirerCountryOrRegion": "NO",
"terminatedRecordSearchCriteria": {
"address": {
"city": "St Albans",
"countryOrRegion": "NO",
"streetAddress": "80 Wood Street",
"stateOrProvince": "CA",
"zipOrPostalCode": "SA82GF"
},
"DBAName": "Snap Photoshop Ltd",
"principals": [
{
"name": "Bill Smith",
"SSN": "<string>",
"principalID": "07043453",
"passportNumber": "07043453",
"businessPhoneNumber": "+861071111222",
"driverLicenseNumber": "07043453",
"businessEmailAddress": "billsmith@snapphoto.com",
"residentIDOrNationalID": "07043453"
}
],
"businessPhoneNumbers": [
"+861071111222"
],
"taxID": "GB123456789",
"category": "1",
"legalName": "Snap Photoshop Ltd",
"webAddresses": [
"https://u.nu"
],
"financialAccts": [
{
"intBankAccountNumber": "NO8330001234567",
"financialAccountNumber": "8090765400",
"financialInstitutionID": "101010"
}
],
"tradeOverInternet": false,
"businessEmailAddress": "billsmith@snapphoto.com",
"merchantCategoryCodes": [
"5411"
],
"businessRegistrationNumber": "452349600005"
}
}
},
"status": {
"statusDescription": "Success",
"statusCode": "API000"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Body
application/json
Show child attributes
Show child attributes
Last modified on July 22, 2026
⌘I